<creole>
    <files>
        <file filelist='econnect' name='/etc/eole/eole-db.d/econnect-db.yml' rm='True' mkdir='True'/>
        <file filelist='econnect' name='/usr/share/envole/eoledb/econnect' source='econnect.db' rm='True' mkdir='True'/>
    </files>

    <containers>
        <container name="web">
            <package>envole-connecteur-apps</package>
            <file filelist="econnect" name="/etc/apache2/sites-available/econnect" source="econnect-apache.conf"/>
            <file filelist="econnect" name="/var/www/html/econnect/api/include/config.php" source="econnect-config.php" rm="True"/>
            <service method="apache" servicelist="econnect">econnect</service>
        </container>
    </containers>

    <variables>
        <family name="applications web">
            <variable name="activer_econnect" type="oui/non" description="Activation de eConnect">
                <value>oui</value>
            </variable>
            <variable type='string' name='econnect_admin'  description='UID de votre administrateur eConnect' mode='expert'>
                <value>admin</value>
            </variable>            
        </family>

        <family name='EoleDB' icon='database' mode='expert'>
            <variable type='string' name='econnect_db_mode' description='Serveur de bases de données à utiliser'/>
            <variable type='string' name='econnect_dbserver' description='Adresse du serveur de base de données'/>
            <variable type='number' name='econnect_dbport' description="Port d'écoute du serveur de base de données"/>
            <variable type='string' name='econnect_allow_hosts' description="Hôtes autorisés à utiliser la base de données" multi='True'/>
            <variable type='string' name='econnect_dbuser' description='Utilisateur du serveur de base de données'/>
            <variable type='string' name='econnect_dbpass' description='Fichier de mot de passe du serveur'/>
        </family>

        <separators>
            <separator name="econnect_db_mode">Paramètres EoleDB associés à eConnect</separator>
        </separators>
    </variables>

    <constraints>
        <condition name="hidden_if_in" source="activer_econnect">
            <param>non</param>
            <target type="filelist">econnect</target>
            <target type="servicelist">econnect</target>
            <target type='variable'>econnect_admin</target>
        </condition>

        <check name='valid_enum' target='econnect_db_mode'>
            <param>['default', 'externe', 'local']</param>
        </check>
        <condition name='disabled_if_in' source='econnect_db_mode'>
            <param>local</param>
            <target type='variable'>econnect_dbserver</target>
            <target type='variable'>econnect_dbuser</target>
            <target type='variable'>econnect_dbport</target>
            <target type='variable'>econnect_dbpass</target>
        </condition>
        <condition name='disabled_if_in' source='econnect_db_mode'>
            <param>default</param>
            <target type='variable'>econnect_dbserver</target>
            <target type='variable'>econnect_dbuser</target>
            <target type='variable'>econnect_dbport</target>
            <target type='variable'>econnect_dbpass</target>
            <target type='variable'>econnect_allow_hosts</target>
        </condition>
    </constraints>
<help>
<variable name="activer_econnect">Activation de Envole Connecteur (Application de gestion des connecteurs Envole avec les éditeurs tièrces)</variable>
</help>
</creole>
